Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
customerview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $t
| $languageINI = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/customerview.php.ini", false )
| $customer = new eZUser( $CustomerID )
if( $customer->accountNumber() !="") | else
| $order = new eZOrder()
| $orders =& $order->getByCustomer( $customer )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $addressArray =& $customer->addresses()
| $u =0
foreach( $orders as $order) | $wishlistObject =new eZWishList()
| $wishlist =& $wishlistObject->getByUser( $customer )
| $vouchers = "0"
| $voucherObject = new eZVoucherUsed()
| $count = count ( $vouchers )

## Variable Documentation

## ◆ $addressArray

$addressArray =& $customer->addresses()

Definition at line 94 of file customerview.php.

Referenced by eZAddress\mainAddress().

## ◆ $count

$count = count ( $vouchers )

Definition at line 244 of file customerview.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 90 of file customerview.php.

## ◆ $customer

$customer = new eZUser( $CustomerID )

Definition at line 72 of file customerview.php.

Referenced by eZOrderConfirmation\sendMail().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 39 of file customerview.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 40 of file customerview.php.

## ◆ $languageINI

$languageINI = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/customerview.php.ini", false )

Definition at line 45 of file customerview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 89 of file customerview.php.

## ◆ $order

$order = new eZOrder()

Definition at line 86 of file customerview.php.

## ◆ $orders

$orders =& $order->getByCustomer( $customer )

Definition at line 87 of file customerview.php.

Referenced by eZOrder\expiringOrders(), and newOrders().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "customerview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: customerview.php:40
$ini
$ini
Definition: customerview.php:39

Definition at line 42 of file customerview.php.

## ◆ $u

$u =0

Definition at line 121 of file customerview.php.

## ◆ $voucherObject

$voucherObject = new eZVoucherUsed()

Definition at line 242 of file customerview.php.

## ◆ $vouchers

$vouchers = "0"

Definition at line 241 of file customerview.php.

## ◆ $wishlist

$wishlist =& $wishlistObject->getByUser( $customer )

Definition at line 149 of file customerview.php.

Referenced by eZWishListItem\setWishList(), eZCartItem\setWishListItem(), and eZWishListItem\wishlist().

## ◆ $wishlistObject

foreach ($orders as $order) $wishlistObject =new eZWishList()

Definition at line 148 of file customerview.php.

## ◆ else

if ($count > 0) if (count($orders) > 0) else

Initial value:
{
$t->set_var( "customer_account_number", "N/A" )
$t
$t
Definition: customerview.php:42

Definition at line 83 of file customerview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.